/***
 * OW2 FraSCAti Tinfi
 * Copyright (C) 2011-2013 Inria, Univ. Lille 1
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org
 *
 * Author: Lionel Seinturier
 */

package org.ow2.frascati.tinfi.emf;

/**
 * Utility class.
 * 
 * @author seinturi <Lionel.Seinturier@univ-lille1.fr>
 * @since 1.4.5
 */
public class Util {

    /**
     * Split the specified string using the first encountered slash character as
     * a delimiter and return the substrings before and after in an array of
     * size 2. If there is no such slash character, return an array of size 0.
     * 
     * @param str  the input string
     * @return     the array
     */
    public static String[] splitAroundFirstSplash( String str ) {
    	/*
    	 * I was previously using String#split("/"). Yet component-based
    	 * membranes define interfaces such as //binding-controller. Referencing
    	 * such component interfaces gives something like
    	 * BC///binding-controller which makes String#split("/") no longer
    	 * appropriate.
    	 */
    	int slash = str.indexOf('/');
    	if( slash == -1 ) {
    		return new String[0];
    	}
    	String[] ret = new String[2];
    	ret[0] = str.substring(0,slash);
    	ret[1] = str.substring(slash+1);
    	return ret;
    }
}
